Get all travel rule information
curl --request GET \
--url https://api.exchange.coinbase.com/travel-rules \
--header 'cb-access-key: <api-key>' \
--header 'cb-access-passphrase: <api-key>' \
--header 'cb-access-sign: <api-key>' \
--header 'cb-access-timestamp: <api-key>'import requests
url = "https://api.exchange.coinbase.com/travel-rules"
headers = {
"cb-access-key": "<api-key>",
"cb-access-passphrase": "<api-key>",
"cb-access-sign": "<api-key>",
"cb-access-timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'cb-access-key': '<api-key>',
'cb-access-passphrase': '<api-key>',
'cb-access-sign': '<api-key>',
'cb-access-timestamp': '<api-key>'
}
};
fetch('https://api.exchange.coinbase.com/travel-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"address": "<string>",
"originator_name": "<string>",
"originator_country": "<string>",
"vasp_id": "<string>",
"vasp_country": "<string>",
"lei_number": "<string>",
"originator_address": {
"address_1": "<string>",
"address_2": "<string>",
"address_3": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postal_code": "<string>"
}
}
]{
"message": "<string>"
}{
"message": "<string>"
}Travel Rules
Get all travel rule information
Return a list of all stored travel rule information
GET
/
travel-rules
Get all travel rule information
Authorizations
Query Parameters
Used for pagination. Sets start cursor to before id.
Used for pagination. Sets end cursor to after id.
Limit on number of results to return.
Optional filter by address
Response
Travel rule identifier
Timestamp of when entry was added
Crypto address where funds will be deposited from
Name of the originator of the funds
country code (ISO 3166-1 alpha-2) of the originator of the funds
VASP-uuid
ISO 3166-1 alpha-2 formatted country code of the VASP
Legal Entity Identifier (LEI) of the VASP
Show child attributes
Show child attributes
Was this page helpful?
⌘I